﻿using System;
using System.Collections.Generic;
using System.Text;
using com.upay.utils;
using com.upay.upayException;
using com.upay.Entity;
using com.upay;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;
using System.IO;

namespace com.upay.Icc
{
    public class ApiTradeOrderNotifyBack : ResponseObject
    {
        public ApiTradeOrderNotifyBack()
        {
        }

        public ApiTradeOrderNotifyBack(string responsestr)
            : base(responsestr)
        {
            ApiTradeOrderNotifyBack back = JsonConvert.DeserializeObject<ApiTradeOrderNotifyBack>(responsestr);




            MerchantId = back.MerchantId;
            RequestId = back.RequestId;
            PaymentModeAlias = back.PaymentModeAlias;
            BankNumber = back.BankNumber;
            SerialNumber = back.SerialNumber;
            Pstatus = back.Pstatus;
            PstatusDescription = back.PstatusDescription;
            OrderAmount = back.OrderAmount;
            OrderCurrency = back.OrderCurrency;
            SubmissionTime = back.SubmissionTime;
            CompleteTime = back.CompleteTime;
            Remark = back.Remark;
            Hmac = back.Hmac;
        }


        [JsonProperty(PropertyName = "merchantId")]
        public string MerchantId { get; set; }

        [JsonProperty(PropertyName = "requestId")]
        public string RequestId { get; set; }

        [JsonProperty(PropertyName = "paymentModeAlias")]
        public string PaymentModeAlias { get; set; }

        [JsonProperty(PropertyName = "bankNumber")]
        public string BankNumber { get; set; }

        [JsonProperty(PropertyName = "serialNumber")]
        public string SerialNumber { get; set; }

        [JsonProperty(PropertyName = "pstatus")]
        public string Pstatus { get; set; }

        [JsonProperty(PropertyName = "pstatusDescription")]
        public string PstatusDescription { get; set; }

        [JsonProperty(PropertyName = "orderAmount")]
        public string OrderAmount { get; set; }

        [JsonProperty(PropertyName = "orderCurrency")]
        public string OrderCurrency { get; set; }

        [JsonProperty(PropertyName = "submissionTime")]
        public string SubmissionTime { get; set; }

        [JsonProperty(PropertyName = "completeTime")]
        public string CompleteTime { get; set; }

        [JsonProperty(PropertyName = "remark")]
        public string Remark { get; set; }

      
    }
}
