﻿using System.Text;
using com.upay.utils;
using Newtonsoft.Json;

namespace com.upay.Icc
{
    public class Refund : RequestObject
    {
        

        /// <summary>
        /// 商家ID
        /// </summary>
        [JsonProperty(PropertyName = "merchantId")]
        public string MerchantId { get; set; }

        /// <summary>
        /// 原订单号
        /// </summary>
        [JsonProperty(PropertyName = "orderRequestId")]
        public string OrderRequestId { get; set; }

        /// <summary>
        /// 退款请求号
        /// </summary>
        [JsonProperty(PropertyName = "requestId")]
        public string RequestId { get; set; }

        /// <summary>
        /// 通知地址
        /// </summary>
        [JsonProperty(PropertyName = "notifyUrl")]
        public string NotifyUrl { get; set; }

        /// <summary>
        /// 退款金额
        /// </summary>
        [JsonProperty(PropertyName = "amount")]
        public string Amount { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [JsonProperty(PropertyName = "remark")]
        public string Remark { get; set; }

        /// <summary>
        /// 签名
        /// </summary>
        [JsonProperty(PropertyName = "hmac")]
        public string hmac { get; set; }
        
        
    }
}
