﻿using System;
using System.Collections.Generic;
using System.Text;
using com.upay.utils;
using com.upay.upayException;
using com.upay.Entity;
using com.upay;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;
using System.IO;

namespace com.upay.Icc
{
    public class RefundBack : ResponseObject
    {
        public RefundBack()
        {
        }

        public RefundBack(string responsestr)
            : base(responsestr)
        {
            RefundBack back = JsonConvert.DeserializeObject<RefundBack>(responsestr);

            MerchantId = back.MerchantId;
            RequestId = back.RequestId;
            Status = back.Status;
            OrderRequestId = back.OrderRequestId;
            BankNumber = back.BankNumber;
            RefundId = back.RefundId;
            Amount = back.Amount;
            Currency = back.Currency;
            RefundSubmissionTime = back.RefundSubmissionTime;
            Remark = back.Remark;
            Hmac = back.Hmac;
        }

          [JsonProperty(PropertyName = "merchantId")]
        public string MerchantId { get; set; }

        [JsonProperty(PropertyName = "requestId")]
        public string RequestId { get; set; }

        [JsonProperty(PropertyName = "orderRequestId")]
        public string OrderRequestId { get; set; }

        [JsonProperty(PropertyName = "bankNumber")]
        public string BankNumber { get; set; }

        [JsonProperty(PropertyName = "refundId")]
        public string RefundId { get; set; }

        [JsonProperty(PropertyName = "amount")]
        public string Amount { get; set; }

        [JsonProperty(PropertyName = "currency")]
        public string Currency { get; set; }

        [JsonProperty(PropertyName = "refundSubmissionTime")]
        public string RefundSubmissionTime { get; set; }

        [JsonProperty(PropertyName = "remark")]
        public string Remark { get; set; }

       

      
    }
}
