﻿using System;
using System.Collections.Generic;
using System.Text;
using com.upay.utils;
using com.upay.upayException;
using com.upay.Entity;
using com.upay;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;
using System.IO;

namespace com.upay.Icc
{
    public class RefundNotifyBack : ResponseObject
    {
        public RefundNotifyBack()
        {
        }

        public RefundNotifyBack(string responsestr)
            : base(responsestr)
        {
            RefundNotifyBack back = JsonConvert.DeserializeObject<RefundNotifyBack>(responsestr);
        

          

            MerchantId = back.MerchantId;
            OrderRequestId = back.OrderRequestId;
            RequestId = back.RequestId;
            RefundId = back.RefundId;
            BankNumber = back.BankNumber;
            RefundStatus = back.RefundStatus;
            Amount = back.Amount;
            Currency = back.Currency;
            RefundSubmissionTime = back.RefundSubmissionTime;
            RefundCompleteTime = back.RefundCompleteTime;
            Remark = back.Remark;
            Hmac = back.Hmac;
        }

        [JsonProperty(PropertyName = "merchantId")]
        public string MerchantId { get; set; }

       
        [JsonProperty(PropertyName = "requestId")]
        public string RequestId { get; set; }

        [JsonProperty(PropertyName = "orderRequestId")]
        public string OrderRequestId { get; set; }

        [JsonProperty(PropertyName = "refundId")]
        public string RefundId { get; set; }


        [JsonProperty(PropertyName = "bankNumber")]
        public string BankNumber { get; set; }

        [JsonProperty(PropertyName = "refundStatus")]
        public string RefundStatus { get; set; }

        [JsonProperty(PropertyName = "amount")]
        public string Amount { get; set; }

        [JsonProperty(PropertyName = "currency")]
        public string Currency { get; set; }

        [JsonProperty(PropertyName = "refundSubmissionTime")]
        public string RefundSubmissionTime { get; set; }

        [JsonProperty(PropertyName = "refundCompleteTime")]
        public string RefundCompleteTime { get; set; }

        [JsonProperty(PropertyName = "remark")]
        public string Remark { get; set; }

       



      
    }
}
