﻿using System.Text;
using com.upay.utils;
using Newtonsoft.Json;
using com.upay.Entity;

namespace com.upay.Icc
{
    public class ApiTradeOrder : RequestObject
    {
      

        [JsonProperty(PropertyName = "merchantId")]
        public string MerchantId { get; set; }

        [JsonProperty(PropertyName = "requestId")]
        public string RequestId { get; set; }

        [JsonProperty(PropertyName = "orderAmount")]
        public string OrderAmount { get; set; }

        [JsonProperty(PropertyName = "orderCurrency")]
        public string OrderCurrency { get; set; }

        [JsonProperty(PropertyName = "notifyUrl")]
        public string NotifyUrl { get; set; }

        [JsonProperty(PropertyName = "shipInfo")]
        public ShipInfo ShipInfo { get; set; }

        [JsonProperty(PropertyName = "billInfo")]
        public BillInfo BillInfo { get; set; }

        [JsonProperty(PropertyName = "terminalNo")]
        public string TerminalNo { get; set; }

        [JsonProperty(PropertyName = "remark")]
        public string Remark { get; set; }

        [JsonProperty(PropertyName = "firstName")]
        public string FirstName { get; set; }

        [JsonProperty(PropertyName = "lastName")]
        public string LastName { get; set; }

        [JsonProperty(PropertyName = "cardNo")]
        public string CardNo { get; set; }

        [JsonProperty(PropertyName = "expireM")]
        public string ExpireM { get; set; }

        [JsonProperty(PropertyName = "expireY")]
        public string ExpireY { get; set; }

        [JsonProperty(PropertyName = "cardCvv2")]
        public string CardCvv2 { get; set; }

        [JsonProperty(PropertyName = "ordip")]
        public string Ordip { get; set; }

       

        /// <summary>
        /// 签名
        /// </summary>
        [JsonProperty(PropertyName = "hmac")]
        public string Hmac { get; set; }
     
    }
}
