﻿using System;
using System.Collections.Generic;
using System.Text;
using com.upay.utils;
using com.upay.upayException;
using com.upay.Entity;
using com.upay;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;
using System.IO;

namespace com.upay.Icc
{
    public class QueryOrderBack : ResponseObject
    {
        public QueryOrderBack()
        {
        }

        public QueryOrderBack(string responsestr)
            : base(responsestr)
        {
            QueryOrderBack back = JsonConvert.DeserializeObject<QueryOrderBack>(responsestr);
        

          

            MerchantId = back.MerchantId;
            Status = back.Status;
            RequestId = back.RequestId;
            Pstatus = back.Pstatus;
            PstatusDescription = back.PstatusDescription;
            PaymentModeAlias = back.PaymentModeAlias;
            SerialNumber = back.SerialNumber;
            BankNumber = back.BankNumber;
            OrderCurrency = back.OrderCurrency;
            OrderAmount = back.OrderAmount;
            SubmissionTime = back.SubmissionTime;
            CompleteTime = back.CompleteTime;
            TotalRefundCount = back.TotalRefundCount;
            TotalRefundAmount = back.TotalRefundAmount;
            RefundDetails = back.RefundDetails;
            TotalRefuseCount = back.TotalRefuseCount;
            TotalRefuseAmount = back.TotalRefuseAmount;
            RefuseDetails = back.RefuseDetails;
            Remark = back.Remark;
            Hmac = back.Hmac;
        }

        [JsonProperty(PropertyName = "merchantId")]
        public string MerchantId { get; set; }

       
        [JsonProperty(PropertyName = "requestId")]
        public string RequestId { get; set; }

        [JsonProperty(PropertyName = "pstatus")]
        public string Pstatus { get; set; }

        [JsonProperty(PropertyName = "pstatusDescription")]
        public string PstatusDescription { get; set; }


        [JsonProperty(PropertyName = "paymentModeAlias")]
        public string PaymentModeAlias { get; set; }

        [JsonProperty(PropertyName = "serialNumber")]
        public string SerialNumber { get; set; }

        [JsonProperty(PropertyName = "bankNumber")]
        public string BankNumber { get; set; }

        [JsonProperty(PropertyName = "orderCurrency")]
        public string OrderCurrency { get; set; }

        [JsonProperty(PropertyName = "orderAmount")]
        public string OrderAmount { get; set; }

        [JsonProperty(PropertyName = "submissionTime")]
        public string SubmissionTime { get; set; }

        [JsonProperty(PropertyName = "completeTime")]
        public string CompleteTime { get; set; }


        [JsonProperty(PropertyName = "totalRefundCount")]
        public string TotalRefundCount { get; set; }

        [JsonProperty(PropertyName = "totalRefundAmount")]
        public string TotalRefundAmount { get; set; }

        [JsonProperty(PropertyName = "refundDetails")]
        public List<RefundDetails> RefundDetails { get; set; }

        [JsonProperty(PropertyName = "totalRefuseCount")]
        public string TotalRefuseCount { get; set; }

        [JsonProperty(PropertyName = "totalRefuseAmount")]
        public string TotalRefuseAmount { get; set; }

        [JsonProperty(PropertyName = "refuseDetails")]
        public List<RefuseDetails> RefuseDetails { get; set; }

        [JsonProperty(PropertyName = "remark")]
        public string Remark { get; set; }



      
    }
}
