﻿using System;
using System.Collections.Generic;
using System.Text;
using com.upay.utils;
using com.upay.upayException;
using com.upay.Entity;
using com.upay;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;
using System.IO;

namespace com.upay.Icc
{
    public class RefuseNotifyBack : ResponseObject
    {
        public RefuseNotifyBack()
        {
        }

        public RefuseNotifyBack(string responsestr)
            : base(responsestr)
        {
            RefuseNotifyBack back = JsonConvert.DeserializeObject<RefuseNotifyBack>(responsestr);
        

          

            MerchantId = back.MerchantId;
            RefuseId = back.RefuseId;
            RequestId = back.RequestId;
            RefuseCompleteTime = back.RefuseCompleteTime;
            BankNumber = back.BankNumber;
            Currency = back.Currency;
            Amount = back.Amount;
            Hmac = back.Hmac;
        }

        [JsonProperty(PropertyName = "merchantId")]
        public string MerchantId { get; set; }

       
        [JsonProperty(PropertyName = "requestId")]
        public string RequestId { get; set; }


        [JsonProperty(PropertyName = "bankNumber")]
        public string BankNumber { get; set; }

        [JsonProperty(PropertyName = "refuseId")]
        public string RefuseId { get; set; }

        [JsonProperty(PropertyName = "amount")]
        public string Amount { get; set; }

        [JsonProperty(PropertyName = "currency")]
        public string Currency { get; set; }

        [JsonProperty(PropertyName = "refuseCompleteTime")]
        public string RefuseCompleteTime { get; set; }

        [JsonProperty(PropertyName = "remark")]
        public string Remark { get; set; }

       



      
    }
}
